import { BasicColumn, FormSchema } from '@/components/Table';
import { TreeData } from '@/views/dataStandards/generalView/generalViewData';

export const columns: BasicColumn[] = [
  {
    title: '更新时间',
    dataIndex: 'date',
    width: 120,
  },
  {
    title: '标准名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '标准类型',
    dataIndex: 'basicType',
    width: 120,
  },
  {
    title: '更新类型',
    dataIndex: 'type',
    width: 120,
  },
];
export const quotationSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'TreeSelect',
    componentProps: {
      treeData: TreeData,
      fieldNames: {
        label: 'workSpaceName',
        value: 'businessId',
      },
      placeholder: '请选择工作区',
    },
    colProps: { lg: 24, md: 24 },
  },
];
